<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://server.subject.steerinfo.com" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="WebServer" targetNamespace="http://server.subject.steerinfo.com" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xs:schema elementFormDefault="unqualified" targetNamespace="http://server.subject.steerinfo.com" version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema">
      <xs:element name="ExportAccess" type="tns:ExportAccess" />
      <xs:element name="ExportAccessResponse" type="tns:ExportAccessResponse" />
      <xs:element name="doAccessCuImpl" type="tns:doAccessCuImpl" />
      <xs:element name="doAccessCuImplResponse" type="tns:doAccessCuImplResponse" />
      <xs:element name="doQueryComBaseInfoWf" type="tns:doQueryComBaseInfoWf" />
      <xs:element name="doQueryComBaseInfoWfResponse" type="tns:doQueryComBaseInfoWfResponse" />
      <xs:element name="doQueryProAct" type="tns:doQueryProAct" />
      <xs:element name="doQueryProActResponse" type="tns:doQueryProActResponse" />
      <xs:element name="doQueryStockOnlineWf" type="tns:doQueryStockOnlineWf" />
      <xs:element name="doQueryStockOnlineWfResponse" type="tns:doQueryStockOnlineWfResponse" />
      <xs:element name="doQueryTimeWf" type="tns:doQueryTimeWf" />
      <xs:element name="doQueryTimeWfResponse" type="tns:doQueryTimeWfResponse" />
      <xs:element name="doUpdateProAct" type="tns:doUpdateProAct" />
      <xs:element name="doUpdateProActResponse" type="tns:doUpdateProActResponse" />
      <xs:complexType name="ExportAccess">
        <xs:sequence>
          <xs:element minOccurs="0" name="list" type="tns:commonPage" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="commonPage">
        <xs:sequence>
          <xs:element minOccurs="0" name="endTime" type="xs:string" />
          <xs:element minOccurs="0" name="endTime2" type="xs:string" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="list" nillable="true" type="xs:anyType" />
          <xs:element minOccurs="0" name="memo0" type="xs:string" />
          <xs:element minOccurs="0" name="memo1" type="xs:string" />
          <xs:element minOccurs="0" name="memo10" type="xs:string" />
          <xs:element minOccurs="0" name="memo2" type="xs:string" />
          <xs:element minOccurs="0" name="memo3" type="xs:string" />
          <xs:element minOccurs="0" name="memo4" type="xs:string" />
          <xs:element minOccurs="0" name="memo5" type="xs:string" />
          <xs:element minOccurs="0" name="memo6" type="xs:string" />
          <xs:element minOccurs="0" name="memo7" type="xs:string" />
          <xs:element minOccurs="0" name="memo8" type="xs:string" />
          <xs:element minOccurs="0" name="memo9" type="xs:string" />
          <xs:element minOccurs="0" name="objParam" type="xs:anyType" />
          <xs:element name="pageNum" type="xs:int" />
          <xs:element name="pageSize" type="xs:int" />
          <xs:element minOccurs="0" name="param" type="xs:anyType" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="paramArray" nillable="true" type="xs:anyType" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="paramList" nillable="true" type="xs:anyType" />
          <xs:element name="skipResults" type="xs:int" />
          <xs:element minOccurs="0" name="sortField" type="xs:string" />
          <xs:element minOccurs="0" name="sortSqlCondition" type="xs:string" />
          <xs:element minOccurs="0" name="sortType" type="xs:string" />
          <xs:element minOccurs="0" name="startTime" type="xs:string" />
          <xs:element minOccurs="0" name="startTime2" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="meterToLimsOld">
        <xs:sequence>
          <xs:element minOccurs="0" name="baseSpot1Name" type="xs:string" />
          <xs:element minOccurs="0" name="baseSpot2Name" type="xs:string" />
          <xs:element minOccurs="0" name="bz" type="xs:string" />
          <xs:element minOccurs="0" name="bzh" type="xs:string" />
          <xs:element minOccurs="0" name="chh" type="xs:string" />
          <xs:element minOccurs="0" name="cpfl" type="xs:string" />
          <xs:element minOccurs="0" name="cpmc" type="xs:string" />
          <xs:element minOccurs="0" name="cpz" type="xs:decimal" />
          <xs:element minOccurs="0" name="createManName" type="xs:string" />
          <xs:element minOccurs="0" name="createManNo" type="xs:string" />
          <xs:element minOccurs="0" name="createTime" type="xs:dateTime" />
          <xs:element minOccurs="0" name="deleteManName" type="xs:string" />
          <xs:element minOccurs="0" name="deleteManNo" type="xs:string" />
          <xs:element minOccurs="0" name="deleteTime" type="xs:dateTime" />
          <xs:element minOccurs="0" name="exportNum" type="xs:short" />
          <xs:element minOccurs="0" name="fjpz" type="xs:decimal" />
          <xs:element minOccurs="0" name="id" type="xs:string" />
          <xs:element minOccurs="0" name="jly" type="xs:string" />
          <xs:element minOccurs="0" name="jz" type="xs:decimal" />
          <xs:element minOccurs="0" name="ly" type="xs:string" />
          <xs:element minOccurs="0" name="mz" type="xs:decimal" />
          <xs:element minOccurs="0" name="netSpot3Name" type="xs:string" />
          <xs:element minOccurs="0" name="ph" type="xs:string" />
          <xs:element minOccurs="0" name="pz" type="xs:decimal" />
          <xs:element minOccurs="0" name="qx" type="xs:string" />
          <xs:element minOccurs="0" name="rq" type="xs:dateTime" />
          <xs:element minOccurs="0" name="sj" type="xs:dateTime" />
          <xs:element minOccurs="0" name="sjbz" type="xs:string" />
          <xs:element minOccurs="0" name="updateManName" type="xs:string" />
          <xs:element minOccurs="0" name="updateManNo" type="xs:string" />
          <xs:element minOccurs="0" name="updateTime" type="xs:dateTime" />
          <xs:element minOccurs="0" name="xh" type="xs:string" />
          <xs:element minOccurs="0" name="shl_change" type="xs:decimal" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="ExportAccessResponse">
        <xs:sequence>
          <xs:element minOccurs="0" maxOccurs="unbounded" name="result" type="tns:meterToLimsOld" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="doAccessCuImpl">
        <xs:sequence>
          <xs:element minOccurs="0" maxOccurs="unbounded" name="list" type="tns:meterWorkStorageActual" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="meterWorkStorageActual">
        <xs:sequence>
          <xs:element minOccurs="0" name="actualNo" type="xs:string" />
          <xs:element minOccurs="0" name="actualWeight" type="xs:decimal" />
          <xs:element minOccurs="0" name="baseSpotName" type="xs:string" />
          <xs:element minOccurs="0" name="baseSpotNo" type="xs:string" />
          <xs:element minOccurs="0" name="batchNo" type="xs:string" />
          <xs:element minOccurs="0" name="blockNum" type="xs:string" />
          <xs:element minOccurs="0" name="bucketNo" type="xs:string" />
          <xs:element minOccurs="0" name="checkFlag" type="xs:string" />
          <xs:element minOccurs="0" name="combinPackageNo" type="xs:string" />
          <xs:element minOccurs="0" name="createManName" type="xs:string" />
          <xs:element minOccurs="0" name="createManNo" type="xs:string" />
          <xs:element minOccurs="0" name="createTime" type="xs:dateTime" />
          <xs:element minOccurs="0" name="deleteManName" type="xs:string" />
          <xs:element minOccurs="0" name="deleteManNo" type="xs:string" />
          <xs:element minOccurs="0" name="deleteTime" type="xs:dateTime" />
          <xs:element minOccurs="0" name="gradeName" type="xs:string" />
          <xs:element minOccurs="0" name="gradeNo" type="xs:string" />
          <xs:element minOccurs="0" name="grossWeight" type="xs:decimal" />
          <xs:element minOccurs="0" name="id" type="xs:string" />
          <xs:element minOccurs="0" name="memo" type="xs:string" />
          <xs:element minOccurs="0" name="netWeight" type="xs:decimal" />
          <xs:element minOccurs="0" name="noticeNo" type="xs:string" />
          <xs:element minOccurs="0" name="packageNo" type="xs:string" />
          <xs:element minOccurs="0" name="predictionNo" type="xs:string" />
          <xs:element minOccurs="0" name="productDate" type="xs:dateTime" />
          <xs:element minOccurs="0" name="productName" type="xs:string" />
          <xs:element minOccurs="0" name="productNo" type="xs:string" />
          <xs:element minOccurs="0" name="referWeight" type="xs:decimal" />
          <xs:element minOccurs="0" name="sealNo" type="xs:string" />
          <xs:element minOccurs="0" name="standardName" type="xs:string" />
          <xs:element minOccurs="0" name="standardNo" type="xs:string" />
          <xs:element minOccurs="0" name="tareWeight" type="xs:decimal" />
          <xs:element minOccurs="0" name="updateManName" type="xs:string" />
          <xs:element minOccurs="0" name="updateManNo" type="xs:string" />
          <xs:element minOccurs="0" name="updateTime" type="xs:dateTime" />
          <xs:element minOccurs="0" name="valueFlag" type="xs:string" />
          <xs:element minOccurs="0" name="weightType" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="doAccessCuImplResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="result" type="tns:resTfulResult" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="resTfulResult">
        <xs:sequence>
          <xs:element minOccurs="0" name="code" type="xs:string" />
          <xs:element minOccurs="0" name="data" type="xs:anyType" />
          <xs:element minOccurs="0" name="message" type="xs:string" />
          <xs:element name="succeed" type="xs:boolean" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="doQueryProAct">
        <xs:sequence>
          <xs:element minOccurs="0" name="list" type="tns:commonPage" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="doQueryProActResponse">
        <xs:sequence>
          <xs:element minOccurs="0" maxOccurs="unbounded" name="result" type="tns:meterWorkStorageActual" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="doQueryStockOnlineWf">
        <xs:sequence>
          <xs:element minOccurs="0" name="list" type="tns:meterWorkStockOnline" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="meterWorkStockOnline">
        <xs:sequence>
          <xs:element minOccurs="0" name="baseSpotName" type="xs:string" />
          <xs:element minOccurs="0" name="baseSpotNo" type="xs:string" />
          <xs:element minOccurs="0" name="id" type="xs:string" />
          <xs:element minOccurs="0" name="lastTime" type="xs:dateTime" />
          <xs:element minOccurs="0" name="pointNo" type="xs:string" />
          <xs:element minOccurs="0" name="spotTypeNo" type="xs:string" />
          <xs:element minOccurs="0" name="userId" type="xs:string" />
          <xs:element minOccurs="0" name="userIp" type="xs:string" />
          <xs:element minOccurs="0" name="validFlag" type="xs:string" />
          <xs:element minOccurs="0" name="weightDiff" type="xs:string" />
          <xs:element minOccurs="0" name="weightFlag" type="xs:string" />
          <xs:element minOccurs="0" name="weightTime" type="xs:dateTime" />
          <xs:element minOccurs="0" name="workFlag" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="doQueryStockOnlineWfResponse">
        <xs:sequence>
          <xs:element minOccurs="0" maxOccurs="unbounded" name="result" type="tns:meterWorkStockOnline" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="doQueryTimeWf">
        <xs:sequence>
          <xs:element minOccurs="0" name="list" type="tns:commonPage" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="doQueryTimeWfResponse">
        <xs:sequence>
          <xs:element minOccurs="0" maxOccurs="unbounded" name="result" type="tns:meterWorkStorageActual" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="doQueryComBaseInfoWf">
        <xs:sequence>
          <xs:element minOccurs="0" name="list" type="tns:comBaseInfo" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="comBaseInfo">
        <xs:sequence>
          <xs:element minOccurs="0" name="baseCode" type="xs:string" />
          <xs:element minOccurs="0" name="baseName" type="xs:string" />
          <xs:element minOccurs="0" name="createManName" type="xs:string" />
          <xs:element minOccurs="0" name="createManNo" type="xs:string" />
          <xs:element minOccurs="0" name="createTime" type="xs:dateTime" />
          <xs:element minOccurs="0" name="deleteManName" type="xs:string" />
          <xs:element minOccurs="0" name="deleteManNo" type="xs:string" />
          <xs:element minOccurs="0" name="deleteTime" type="xs:dateTime" />
          <xs:element minOccurs="0" name="id" type="xs:string" />
          <xs:element minOccurs="0" name="isCreateSubclaseFlag" type="xs:string" />
          <xs:element minOccurs="0" name="isEditFlag" type="xs:string" />
          <xs:element minOccurs="0" name="memo" type="xs:string" />
          <xs:element minOccurs="0" name="mnemonicCode" type="xs:string" />
          <xs:element minOccurs="0" name="updateManName" type="xs:string" />
          <xs:element minOccurs="0" name="updateManNo" type="xs:string" />
          <xs:element minOccurs="0" name="updateTime" type="xs:dateTime" />
          <xs:element minOccurs="0" name="validFlag" type="xs:string" />
          <xs:element minOccurs="0" name="pBaseCode" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="doQueryComBaseInfoWfResponse">
        <xs:sequence>
          <xs:element minOccurs="0" maxOccurs="unbounded" name="result" type="tns:comBaseInfo" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="doUpdateProAct">
        <xs:sequence>
          <xs:element minOccurs="0" maxOccurs="unbounded" name="list" type="tns:meterWorkStorageActual" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="doUpdateProActResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="result" type="tns:resTfulResult" />
        </xs:sequence>
      </xs:complexType>
    </xs:schema>
  </wsdl:types>
  <wsdl:message name="ExportAccess">
    <wsdl:part name="parameters" element="tns:ExportAccess" />
  </wsdl:message>
  <wsdl:message name="doQueryProAct">
    <wsdl:part name="parameters" element="tns:doQueryProAct" />
  </wsdl:message>
  <wsdl:message name="doQueryStockOnlineWf">
    <wsdl:part name="parameters" element="tns:doQueryStockOnlineWf" />
  </wsdl:message>
  <wsdl:message name="doQueryTimeWf">
    <wsdl:part name="parameters" element="tns:doQueryTimeWf" />
  </wsdl:message>
  <wsdl:message name="doQueryComBaseInfoWfResponse">
    <wsdl:part name="parameters" element="tns:doQueryComBaseInfoWfResponse" />
  </wsdl:message>
  <wsdl:message name="ExportAccessResponse">
    <wsdl:part name="parameters" element="tns:ExportAccessResponse" />
  </wsdl:message>
  <wsdl:message name="doAccessCuImplResponse">
    <wsdl:part name="parameters" element="tns:doAccessCuImplResponse" />
  </wsdl:message>
  <wsdl:message name="doAccessCuImpl">
    <wsdl:part name="parameters" element="tns:doAccessCuImpl" />
  </wsdl:message>
  <wsdl:message name="doQueryStockOnlineWfResponse">
    <wsdl:part name="parameters" element="tns:doQueryStockOnlineWfResponse" />
  </wsdl:message>
  <wsdl:message name="doQueryTimeWfResponse">
    <wsdl:part name="parameters" element="tns:doQueryTimeWfResponse" />
  </wsdl:message>
  <wsdl:message name="doQueryComBaseInfoWf">
    <wsdl:part name="parameters" element="tns:doQueryComBaseInfoWf" />
  </wsdl:message>
  <wsdl:message name="doQueryProActResponse">
    <wsdl:part name="parameters" element="tns:doQueryProActResponse" />
  </wsdl:message>
  <wsdl:message name="doUpdateProActResponse">
    <wsdl:part name="parameters" element="tns:doUpdateProActResponse" />
  </wsdl:message>
  <wsdl:message name="doUpdateProAct">
    <wsdl:part name="parameters" element="tns:doUpdateProAct" />
  </wsdl:message>
  <wsdl:portType name="WebServer">
    <wsdl:operation name="ExportAccess">
      <wsdl:input name="ExportAccess" message="tns:ExportAccess" />
      <wsdl:output name="ExportAccessResponse" message="tns:ExportAccessResponse" />
    </wsdl:operation>
    <wsdl:operation name="doAccessCuImpl">
      <wsdl:input name="doAccessCuImpl" message="tns:doAccessCuImpl" />
      <wsdl:output name="doAccessCuImplResponse" message="tns:doAccessCuImplResponse" />
    </wsdl:operation>
    <wsdl:operation name="doQueryProAct">
      <wsdl:input name="doQueryProAct" message="tns:doQueryProAct" />
      <wsdl:output name="doQueryProActResponse" message="tns:doQueryProActResponse" />
    </wsdl:operation>
    <wsdl:operation name="doQueryStockOnlineWf">
      <wsdl:input name="doQueryStockOnlineWf" message="tns:doQueryStockOnlineWf" />
      <wsdl:output name="doQueryStockOnlineWfResponse" message="tns:doQueryStockOnlineWfResponse" />
    </wsdl:operation>
    <wsdl:operation name="doQueryTimeWf">
      <wsdl:input name="doQueryTimeWf" message="tns:doQueryTimeWf" />
      <wsdl:output name="doQueryTimeWfResponse" message="tns:doQueryTimeWfResponse" />
    </wsdl:operation>
    <wsdl:operation name="doQueryComBaseInfoWf">
      <wsdl:input name="doQueryComBaseInfoWf" message="tns:doQueryComBaseInfoWf" />
      <wsdl:output name="doQueryComBaseInfoWfResponse" message="tns:doQueryComBaseInfoWfResponse" />
    </wsdl:operation>
    <wsdl:operation name="doUpdateProAct">
      <wsdl:input name="doUpdateProAct" message="tns:doUpdateProAct" />
      <wsdl:output name="doUpdateProActResponse" message="tns:doUpdateProActResponse" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="WebServerSoapBinding" type="tns:WebServer">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="ExportAccess">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="ExportAccess">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="ExportAccessResponse">
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="doAccessCuImpl">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="doAccessCuImpl">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="doAccessCuImplResponse">
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="doQueryProAct">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="doQueryProAct">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="doQueryProActResponse">
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="doQueryStockOnlineWf">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="doQueryStockOnlineWf">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="doQueryStockOnlineWfResponse">
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="doQueryTimeWf">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="doQueryTimeWf">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="doQueryTimeWfResponse">
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="doQueryComBaseInfoWf">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="doQueryComBaseInfoWf">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="doQueryComBaseInfoWfResponse">
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="doUpdateProAct">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="doUpdateProAct">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="doUpdateProActResponse">
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="WebServer">
    <wsdl:port name="WebServerimplPort" binding="tns:WebServerSoapBinding">
      <soap:address location="http://172.22.4.6:9004/webservice/limssubject" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>